Skip to main content
Search Tasks
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/tasks/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "task_id": "write-unit-tests",
    "task": "Write unit tests",
    "ai_impact": {
      "level": "H2",
      "rationale": "Portions can be automated via LLM test generation"
    }
  },
  {
    "task_id": "write-integration-tests",
    "task": "Write integration tests",
    "ai_impact": {
      "level": "H3",
      "rationale": "Some automation possible but context-dependent"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

query
string
required

The search query to match against task names.

Maximum string length: 100
limit
integer
default:10

Maximum number of results to return.

Required range: 1 <= x <= 100

Response

OK

task_id
string<slug>
required

Unique identifier of the task.

Maximum string length: 100
Example:

"write-unit-tests"

task
string
required

Name/description of the task.

Example:

"Write unit tests"

ai_impact
object
required